# DataExchange
TKSTEP
STEPConstruct

# STEPConstruct_Assembly Class Reference

This operator creates an item of an assembly, from its
basic data : a ShapeRepresentation, a Location ...
Three ways of coding such item from a ShapeRepresentation :
- do nothing : i.e. informations for assembly are ignored
- create a MappedItem
- create a RepresentationRelationship (WithTransformation)
.

`#include <STEPConstruct_Assembly.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPConstruct_Assembly ()
Standard_EXPORT void | Init (const Handle(StepShape_ShapeDefinitionRepresentation)&aSR, const Handle(StepShape_ShapeDefinitionRepresentation)&SDR0, const Handle(StepGeom_Axis2Placement3d)&Ax0, const Handle(StepGeom_Axis2Placement3d)&Loc)
| Initialises with starting values Ax0 : origin axis (typically, standard XYZ) Loc : location to which place the item //! Makes a MappedItem Resulting Value is returned by ItemValue .
Standard_EXPORT void | MakeRelationship ()
| Make a (ShapeRepresentationRelationship,...WithTransformation) Resulting Value is returned by ItemValue .
Standard_EXPORT Handle_Standard_Transient | ItemValue () const
| Returns the Value If no Make... has been called, returns the starting SR .
Standard_EXPORT Handle_StepGeom_Axis2Placement3d | ItemLocation () const
| Returns the location of the item, computed from starting aLoc .
Standard_EXPORT Handle_StepRepr_NextAssemblyUsageOccurrence | GetNAUO () const
| Returns NAUO object describing the assembly link .

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | CheckSRRReversesNAUO (const Handle(Interface_InterfaceModel)&Model, const Handle(StepShape_ContextDependentShapeRepresentation)&CDSR)
| Checks whether SRR's definition of assembly and component contradicts with NAUO definition or not, according to model schema (AP214 or AP203) .

## Private Attributes

Handle_StepShape_ShapeDefinitionRepresentation | thesdr
Handle_StepShape_ShapeDefinitionRepresentation | thesdr0
Handle_StepShape_ShapeRepresentation | thesr
Handle_StepShape_ShapeRepresentation | thesr0
Handle_Standard_Transient | theval
Handle_StepGeom_Axis2Placement3d | theloc
Handle_StepGeom_Axis2Placement3d | theax0

## Constructor & Destructor Documentation

Standard_EXPORT STEPConstruct_Assembly::STEPConstruct_Assembly | ( |  | ) |

## Member Function Documentation

static Standard_EXPORT Standard_Boolean STEPConstruct_Assembly::CheckSRRReversesNAUO | ( | const Handle(Interface_InterfaceModel)& | Model,
|  | const Handle(StepShape_ContextDependentShapeRepresentation)& | CDSR
| ) | `[static]`

Standard_EXPORT Handle_StepRepr_NextAssemblyUsageOccurrence STEPConstruct_Assembly::GetNAUO | ( |  | ) | const

Standard_EXPORT void STEPConstruct_Assembly::Init | ( | const Handle(StepShape_ShapeDefinitionRepresentation)& | aSR,
|  | const Handle(StepShape_ShapeDefinitionRepresentation)& | SDR0,
|  | const Handle(StepGeom_Axis2Placement3d)& | Ax0,
|  | const Handle(StepGeom_Axis2Placement3d)& | Loc
| ) |

Standard_EXPORT Handle_StepGeom_Axis2Placement3d STEPConstruct_Assembly::ItemLocation | ( |  | ) | const

Standard_EXPORT Handle_Standard_Transient STEPConstruct_Assembly::ItemValue | ( |  | ) | const

Standard_EXPORT void STEPConstruct_Assembly::MakeRelationship | ( |  | ) |

void STEPConstruct_Assembly::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPConstruct_Assembly::operator new | ( | size_t | size | ) | `[inline]`

void* STEPConstruct_Assembly::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

Handle_StepGeom_Axis2Placement3d STEPConstruct_Assembly::theax0 `[private]`

Handle_StepGeom_Axis2Placement3d STEPConstruct_Assembly::theloc `[private]`

Handle_StepShape_ShapeDefinitionRepresentation STEPConstruct_Assembly::thesdr `[private]`

Handle_StepShape_ShapeDefinitionRepresentation STEPConstruct_Assembly::thesdr0 `[private]`

Handle_StepShape_ShapeRepresentation STEPConstruct_Assembly::thesr `[private]`

Handle_StepShape_ShapeRepresentation STEPConstruct_Assembly::thesr0 `[private]`

Handle_Standard_Transient STEPConstruct_Assembly::theval `[private]`

The documentation for this class was generated from the following file:

- STEPConstruct_Assembly.hxx